Summary: A program-script interaction and testing utility
Name: expect
Version: 5.45
Release: 2
License: Public Domain
Group: Development/Languages
URL: http://expect.nist.gov/
Source0: http://expect.nist.gov/src/%{name}%{version}.tar.gz
# Patch0: fixes change log file permissions
Patch0: %{name}-5.43.0-log_file.patch
# Patch1: fixes install location, change pkgIndex
Patch1: %{name}-5.43.0-pkgpath.patch
# examples patches
# Patch100: changes random function
Patch100: expect-5.32.2-random.patch
# Patch101: fixes bz674184 - mkpasswd fails randomly
Patch101: expect-5.45-mkpasswd-dash.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: tcl-devel >= 8.6.6-1, tk-devel >= 8.6.6-1, patch
Requires: tcl >= 8.6.6-1, tk >= 8.6.6-1

%description
Expect is a tcl application for automating and testing
interactive applications such as telnet, ftp, passwd, fsck,
rlogin, tip, etc. Expect makes it easy for a script to
control another program and interact with it.

This package contains expect and some scripts that use it.


%package devel
Summary: A program-script interaction and testing utility
Group: Development/Languages
Requires: %{name} = %{version}-%{release}
Requires: tcl-devel >= 8.6.6-1, tk-devel >= 8.6.6-1

%description devel
Expect is a tcl application for automating and testing
interactive applications such as telnet, ftp, passwd, fsck,
rlogin, tip, etc. Expect makes it easy for a script to
control another program and interact with it.

This package contains development files for the expect library.


%package -n expectk
Summary: A program-script interaction and testing utility
Group: Development/Languages
Requires: %{name} = %{version}-%{release}
Requires: tcl >= 8.6.6-1, tk >= 8.6.6-1

%description -n expectk
Expect is a tcl application for automating and testing
interactive applications such as telnet, ftp, passwd, fsck,
rlogin, tip, etc. Expect makes it easy for a script to
control another program and interact with it.

This package contains expectk and some scripts that use it.


%prep
%setup -q -n %{name}%{version}
export PATH=/opt/freeware/bin:$PATH
%patch0 -p1 -b .log_file
%patch1 -p1 -b .pkgpath
# examples fixes
%patch100 -p1 -b .random
%patch101 -p1 -b .mkpasswd-dash


%build
export CFLAGS="$CFLAGS -I${RPM_BUILD_DIR}/tcl8.6.6/unix"
./configure \
    --prefix=%{_prefix} \
    --enable-shared --enable-static \
    --with-tcl=%{_libdir} \
    --with-tclinclude=${RPM_BUILD_DIR}/tcl8.6.6/generic \
    --with-x

make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

# for linking with -lexpect
ln -s tcl8.6/%{name}%{version}/libexpect%{version}.so ${RPM_BUILD_ROOT}%{_libdir}/libexpect%{version}.so
ln -s libexpect%{version}.so ${RPM_BUILD_ROOT}%{_libdir}/libexpect.so

# remove cryptdir/decryptdir, as AIX has no crypt command
rm -f ${RPM_BUILD_ROOT}%{_bindir}/*cryptdir
rm -f ${RPM_BUILD_ROOT}%{_mandir}/man1/*cryptdir.1
rm -f ${RPM_BUILD_ROOT}%{_bindir}/autopasswd

(
  cd ${RPM_BUILD_ROOT}
  for dir in bin include lib
  do
    mkdir -p usr/linux/${dir}
    cd usr/linux/${dir}
    ln -sf ../../..%{_prefix}/${dir}/* .
    cd -
  done
)


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc FAQ HISTORY NEWS README
%{_bindir}/autoexpect
%{_bindir}/dislocate
%{_bindir}/expect
%{_bindir}/ftp-rfc
%{_bindir}/kibitz
%{_bindir}/lpunlock
%{_bindir}/mkpasswd
%{_bindir}/passmass
%{_bindir}/rftp
%{_bindir}/rlogin-cwd
%{_bindir}/timed-read
%{_bindir}/timed-run
%{_bindir}/unbuffer
%{_bindir}/weather
%{_bindir}/xkibitz
%{_libdir}/lib*.so
%dir %{_libdir}/tcl8.6/%{name}%{version}
%{_libdir}/tcl8.6/%{name}%{version}/*
%{_mandir}/man1/autoexpect.1
%{_mandir}/man1/dislocate.1
%{_mandir}/man1/expect.1
%{_mandir}/man1/kibitz.1
%{_mandir}/man1/mkpasswd.1
%{_mandir}/man1/passmass.1
%{_mandir}/man1/tknewsbiff.1
%{_mandir}/man1/unbuffer.1
%{_mandir}/man1/xkibitz.1
/usr/linux/bin/autoexpect
/usr/linux/bin/dislocate
/usr/linux/bin/expect
/usr/linux/bin/ftp-rfc
/usr/linux/bin/kibitz
/usr/linux/bin/lpunlock
/usr/linux/bin/mkpasswd
/usr/linux/bin/passmass
/usr/linux/bin/rftp
/usr/linux/bin/rlogin-cwd
/usr/linux/bin/timed-read
/usr/linux/bin/timed-run
/usr/linux/bin/unbuffer
/usr/linux/bin/weather
/usr/linux/bin/xkibitz
/usr/linux/lib/lib*.so


%files devel
%defattr(-,root,system,-)
%{_includedir}/*
%{_mandir}/man3/libexpect.3*
/usr/linux/include/*


%files -n expectk
%defattr(-,root,system,-)
%{_bindir}/multixterm
%{_bindir}/tknewsbiff
%{_bindir}/tkpasswd
%{_bindir}/xpstat
%{_mandir}/man1/multixterm.1
%{_mandir}/man1/tknewsbiff.1
/usr/linux/bin/multixterm
/usr/linux/bin/tknewsbiff
/usr/linux/bin/tkpasswd
/usr/linux/bin/xpstat


%changelog
* Thu Oct 27 2016 Michael Perzl <michael@perzl.org> - 5.45-2
- fixed collision with AIX provided expect.base
- rebuilt against latest version of tcl

* Wed Apr 13 2011 Michael Perzl <michael@perzl.org> - 5.45-1
- updated to version 5.45

* Thu Oct 21 2010 Michael Perzl <michael@perzl.org> - 5.44.1.15-1
- updated to version 5.44.1.15

* Thu Apr 24 2008 Michael Perzl <michael@perzl.org> - 5.43.0-1
- first version for AIX V5.1 and higher
